declare function build(rootDir: string, stub: boolean): Promise<void>;

interface BuildEntry {
    input: string;
    name?: string;
    builder?: 'rollup' | 'mkdist' | 'untyped';
    format?: 'esm' | 'cjs';
    defaults?: Record<string, any>;
}
interface BuildOptions {
    pkg: any;
    rootDir: string;
    entries: BuildEntry[];
    clean: boolean;
    outDir: string;
    genDir: string;
    stub: boolean;
    dependencies: string[];
    externals: string[];
}
interface BuildContext extends BuildOptions {
    buildEntries: {
        path: string;
        bytes?: number;
        exports?: string[];
        chunks?: string[];
    }[];
    usedImports: Set<string>;
}
interface BuildConfig extends Partial<Omit<BuildOptions, 'entries'>> {
    entries: (BuildEntry | string)[];
}

export { BuildConfig, BuildContext, BuildEntry, BuildOptions, build };
